Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155821 - can't copy text from xmtr
Summary: can't copy text from xmtr
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mtr
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 05:10 UTC by Jamie Zawinski
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 12:35:32 UTC


Attachments (Terms of Use)

Description Jamie Zawinski 2005-04-24 05:10:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
It's not possible to copy text from the xmtr window to, e.g., paste into email to your network admin asking "why's my network slow?"

I end up having to run mtr in a terminal instead (and wait around a second time for it to build up enough packets for the numbers to be meaningful) in order to be able to copy/paste it.

Version-Release number of selected component (if applicable):
mtr-gtk-0.54-10

How reproducible:
Always

Steps to Reproduce:
1.run xmtr
2.select a line
3.try to paste elsewhere


Actual Results:  4.no PRIMARY or CLIPBOARD selections
5.cry like a schoolgirl


Expected Results:  The xmtr display uses a list widget of some kind; multi-select should be enabled in it, and when those lines are selected, the text in them should be owned as the PRIMARY selection.

Or, alternately, you could just add a "copy as text" button somewhere and stuff it all in CLIPBOARD.


Additional info:

Comment 1 Phil Knirsch 2005-09-05 12:35:32 UTC
This is actually more like a feature request and a quite big change. Please
consider to email your proposal to the official maintainers of MTR here:

http://www.bitwizard.nl/mtr/

Thanks,

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.